using System;
using Server;
using Server.Targeting;
using Server.Items;

namespace Server.Engines.Craft
{
	public class Resmelt
	{
		public Resmelt()
		{
		}

		public static void Do( Mobile from, CraftSystem craftSystem, int selectedGroup, int resIndex, BaseTool tool )
		{
			from.Target = new InternalTarget( craftSystem, selectedGroup, resIndex, tool );
		}

		private class InternalTarget : Target
		{
			private CraftSystem m_CraftSystem;
			private int m_SelectedGroup, m_ResIndex;
			private BaseTool m_Tool;

			public InternalTarget( CraftSystem craftSystem, int selectedGroup, int resIndex, BaseTool tool ) :  base ( 2, false, TargetFlags.None )
			{
				m_CraftSystem = craftSystem;
				m_SelectedGroup = selectedGroup;
				m_ResIndex = resIndex;
				m_Tool = tool;
			}

			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( targeted is BaseArmor )
				{
					BaseArmor armor = (BaseArmor)targeted;

					CraftSubResCol resCol = DefBlacksmithy.CraftSystem.CraftSubRes;

					for ( int i = 0; i < resCol.Count; i++ )
					{
						Type type = resCol.GetAt(i).ItemType;
						BaseIngot ingot = Activator.CreateInstance( type ) as BaseIngot;
						if ( ingot != null && ingot.Resource == armor.Resource )
						{
							CraftItemCol itemCol = DefBlacksmithy.CraftSystem.CraftItems;

							for ( int j = 0; j < itemCol.Count; j++ )
							{
								if ( armor.GetType() == itemCol.GetAt(j).ItemType )
								{
									ingot.Amount = itemCol.GetAt(j).Ressources.GetAt(0).Amount;
									from.AddToBackpack( ingot );
									from.PlaySound( 0x2A );
									from.PlaySound( 0x240 );
									armor.Delete();
									from.SendGump( new CraftGump( from, m_CraftSystem, m_SelectedGroup, m_ResIndex, m_Tool, 1044270 ) ); // You melt the item down into ingots.
									return;
								}
							}
						}
					}
				}

				from.SendGump( new CraftGump( from, m_CraftSystem, m_SelectedGroup, m_ResIndex, m_Tool, 1044272 ) ); // You can't melt that down into ingots.
			}
		}
	}
}
