using System; 
using Server; 
using Server.Items; 

namespace Server.GenerateRandomMagicItems 
{ 
	public class RandomMagicItem 
	{ 
		public static Item RandomAxe 
		{ 
			get 
			{ 
				switch ( Utility.Random( 8 ) ) 
				{ 
					default: 
					case 0: return new Axe(); 
					case 1: return new BattleAxe(); 
					case 2: return new DoubleAxe(); 
					case 3: return new ExecutionersAxe(); 
					case 4: return new Hatchet(); 
					case 5: return new LargeBattleAxe(); 
					case 6: return new TwoHandedAxe(); 
					case 7: return new WarAxe(); 
				} 
			} 
		} 
		public static Item RandomMace 
		{ 
			get 
			{ 
				switch ( Utility.Random( 5 ) ) 
				{ 
					default: 
					case 0: return new Club(); 
					case 1: return new Mace(); 
					case 2: return new Maul(); 
					case 3: return new WarHammer(); 
					case 4: return new WarMace(); 
				} 
			} 
		} 
		public static Item RandomPoleArm 
		{ 
			get 
			{ 
				switch ( Utility.Random( 2 ) ) 
				{ 
					default: 
					case 0: return new Bardiche(); 
					case 1: return new Halberd(); 
				} 
			} 
		} 
		public static Item RandomBow 
		{ 
			get 
			{ 
				switch ( Utility.Random( 3 ) ) 
				{ 
					default: 
					case 0: return new Bow(); 
					case 1: return new Crossbow(); 
					case 2: return new HeavyCrossbow(); 
				} 
			} 
		} 
		public static Item RandomSpear 
		{ 
			get 
			{ 
				switch ( Utility.Random( 4 ) ) 
				{ 
					default: 
					case 0: return new Spear(); 
					case 1: return new ShortSpear(); 
					case 2: return new Pitchfork(); 
					case 3: return new WarFork(); 
				} 
			} 
		} 
		public static Item RandomStaff 
		{ 
			get 
			{ 
				switch ( Utility.Random( 3 ) ) 
				{ 
					default: 
					case 0: return new BlackStaff(); 
					case 1: return new GnarledStaff(); 
					case 2: return new QuarterStaff(); 
				} 
			} 
		} 
		public static Item RandomSword 
		{ 
			get 
			{ 
				switch ( Utility.Random( 8 ) ) 
				{ 
					default: 
					case 0: return new Broadsword(); 
					case 1: return new Cutlass(); 
					case 2: return new Katana(); 
					case 3: return new Kryss(); 
					case 4: return new Longsword(); 
					case 5: return new Scimitar(); 
					case 6: return new ThinLongsword(); 
					case 7: return new VikingSword(); 
				} 
			} 
		} 
		public static Item RandomWeapon 
		{ 
			get 
			{ 
				switch ( Utility.Random( 7 ) ) 
				{ 
					default: 
					case 0: return RandomAxe; 
					case 1: return RandomMace; 
					case 2: return RandomPoleArm; 
					case 3: return RandomBow; 
					case 4: return RandomSpear; 
					case 5: return RandomStaff; 
					case 6: return RandomSword; 
				} 
			} 
		} 
		public static Item RandomMagicWeapon( BaseWeapon Weapon, int MinLevel, int MaxLevel) 
		{ 
			if ( MaxLevel > 5 ) 
				MaxLevel = 5; 
			else if (MaxLevel < 0 ) 
				MaxLevel = 0; 
			if ( MinLevel < 0 ) 
				MaxLevel = 0; 
			else if (MinLevel > MaxLevel ) 
				MinLevel = MaxLevel; 
			if ( MinLevel == MaxLevel ) 
			{ 
				Weapon.DamageLevel = (WeaponDamageLevel)MinLevel; 
				Weapon.AccuracyLevel = (WeaponAccuracyLevel)MinLevel; 
				Weapon.DurabilityLevel = (WeaponDurabilityLevel)MinLevel; 
			} 
			else 
			{ 
				Weapon.DamageLevel = (WeaponDamageLevel)Utility.RandomMinMax( MinLevel, MaxLevel ); 
				Weapon.AccuracyLevel = (WeaponAccuracyLevel)Utility.RandomMinMax( MinLevel, MaxLevel ); 
				Weapon.DurabilityLevel = (WeaponDurabilityLevel)Utility.RandomMinMax( MinLevel, MaxLevel ); 
			}             

			Weapon.Quality = WeaponQuality.Regular;
			return (Item)Weapon; 
		} 

		public static Item RandomBoneArmor 
		{ 
			get 
			{ 
				switch ( Utility.Random( 5 ) ) 
				{ 
					default: 
					case 0: return new BoneArms(); 
					case 1: return new BoneChest(); 
					case 2: return new BoneGloves(); 
					case 3: return new BoneLegs(); 
					case 4: return new BoneHelm(); 
				} 
			} 
		} 
		public static Item RandomChainmail 
		{ 
			get 
			{ 
				switch ( Utility.Random( 3 ) ) 
				{ 
					default: 
					case 0: return new ChainChest(); 
					case 1: return new ChainLegs(); 
					case 2: return new ChainCoif(); 
				} 
			} 
		} 
		public static Item RandomDaemonArmor 
		{ 
			get 
			{ 
				switch ( Utility.Random( 5 ) ) 
				{ 
					default: 
					case 0: return new DaemonArms(); 
					case 1: return new DaemonChest(); 
					case 2: return new DaemonGloves(); 
					case 3: return new DaemonLegs(); 
					case 4: return new DaemonHelm(); 
				} 
			} 
		} 
		public static Item RandomHelmets 
		{ 
			get 
			{ 
				switch ( Utility.Random( 5 ) ) 
				{ 
					default: 
					case 0: return new Bascinet(); 
					case 1: return new CloseHelm(); 
					case 2: return new Helmet(); 
					case 3: return new NorseHelm(); 
					case 4: return new OrcHelm(); 
				} 
			} 
		} 
		public static Item RandomLeatherArmor 
		{ 
			get 
			{ 
				switch ( Utility.Random( 10 ) ) 
				{ 
					default: 
					case 0: return new FemaleLeatherChest(); 
					case 1: return new LeatherArms(); 
					case 2: return new LeatherBustierArms(); 
					case 3: return new LeatherChest(); 
					case 4: return new LeatherGloves(); 
					case 5: return new LeatherGorget(); 
					case 6: return new LeatherLegs(); 
					case 7: return new LeatherShorts(); 
					case 8: return new LeatherSkirt(); 
					case 9: return new LeatherCap(); 
				} 
			} 
		} 
		public static Item RandomPlatemail 
		{ 
			get 
			{ 
				switch ( Utility.Random( 7 ) ) 
				{ 
					default: 
					case 0: return new FemalePlateChest(); 
					case 1: return new PlateArms(); 
					case 2: return new PlateChest(); 
					case 3: return new PlateGloves(); 
					case 4: return new PlateGorget(); 
					case 5: return new PlateHelm(); 
					case 6: return new PlateLegs(); 
				} 
			} 
		} 
		public static Item RandomRangerArmor 
		{ 
			get 
			{ 
				switch ( Utility.Random( 5 ) ) 
				{ 
					default: 
					case 0: return new RangerArms(); 
					case 1: return new RangerChest(); 
					case 2: return new RangerGloves(); 
					case 3: return new RangerGorget(); 
					case 4: return new RangerLegs(); 
				} 
			} 
		} 
		public static Item RandomRingmail 
		{ 
			get 
			{ 
				switch ( Utility.Random( 4 ) ) 
				{ 
					default: 
					case 0: return new RingmailArms(); 
					case 1: return new RingmailChest(); 
					case 2: return new RingmailGloves(); 
					case 3: return new RingmailLegs(); 
				} 
			} 
		} 
		public static Item RandomStuddedArmor 
		{ 
			get 
			{ 
				switch ( Utility.Random( 7 ) ) 
				{ 
					default: 
					case 0: return new FemaleStuddedChest(); 
					case 1: return new StuddedArms(); 
					case 2: return new StuddedBustierArms(); 
					case 3: return new StuddedChest(); 
					case 4: return new StuddedGloves(); 
					case 5: return new StuddedGorget(); 
					case 6: return new StuddedLegs(); 
				} 
			} 
		} 
		public static Item RandomShield 
		{ 
			get 
			{ 
				switch ( Utility.Random( 7 ) ) 
				{ 
					default: 
					case 0: return new BronzeShield(); 
					case 1: return new Buckler(); 
					case 2: return new HeaterShield(); 
					case 3: return new MetalKiteShield(); 
					case 4: return new MetalShield(); 
					case 5: return new WoodenKiteShield(); 
					case 6: return new WoodenShield(); 
				} 
			} 
		} 
		public static Item RandomArmor 
		{ 
			get 
			{ 
				switch ( Utility.Random( 7 ) ) 
				{ 
					default: 
					case 0: return RandomBoneArmor; 
					case 1: return RandomChainmail; 
					case 2: return RandomHelmets; 
					case 3:   return RandomLeatherArmor; 
					case 4: return RandomPlatemail; 
					case 5: return RandomRingmail; 
					case 6: return RandomStuddedArmor; 
						//the types below should not appear in common monsters 
						//case 7: return RandomDaemonArmor; 
						//case 8: return RandomRangerArmor; 
				} 
			} 
		} 
		public static Item RandomMagicArmor( BaseArmor Armor, int MinLevel, int MaxLevel ) 
		{ 
			if ( MaxLevel > 5 ) 
				MaxLevel = 5; 
			else if (MaxLevel < 0 ) 
				MaxLevel = 0; 
			if ( MinLevel < 0 ) 
				MaxLevel = 0; 
			else if (MinLevel > MaxLevel ) 
				MinLevel = MaxLevel; 
			if ( MinLevel == MaxLevel ) 
			{ 
				Armor.ProtectionLevel = (ArmorProtectionLevel)MinLevel; 
				Armor.Durability = (ArmorDurabilityLevel)MinLevel; 
			} 
			else 
			{ 
				Armor.ProtectionLevel = (ArmorProtectionLevel)Utility.RandomMinMax( MinLevel, MaxLevel ); 
				Armor.Durability = (ArmorDurabilityLevel)Utility.RandomMinMax( MinLevel, MaxLevel ); 
			}             
			Armor.Quality = ArmorQuality.Regular;
			return (Item)Armor; 
		}

		public static Item RandomEquipment
		{
			get
			{
				switch ( Utility.Random( 2 ) )
				{
					default:
					case 0: return RandomArmor;
					case 1: return RandomWeapon;
				}
			}
		}

		public static Item RandomMagicEquipment( int MinLevel, int MaxLevel )
		{
			switch ( Utility.Random( 2 ) )
			{
				default:
				case 0: return RandomMagicArmor( (BaseArmor)RandomArmor, MinLevel, MaxLevel );
				case 1: return RandomMagicWeapon( (BaseWeapon)RandomWeapon, MinLevel, MaxLevel );
			}
		}
	}
}