using System;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x1c00, 0x1c01 )]
	public class LeatherShorts : BaseArmor
	{
		public override bool AllowMaleWearer{ get{ return false; } }

		[Constructable]
		public LeatherShorts() : base( 0x1C00, 13, ArmorMaterialType.Leather, ArmorBodyType.Legs )
		{
			Weight = 3;
			DexBonus = 0;
			StrRequirement = 10;
		}

		public LeatherShorts( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}