using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	public class ScaledSwampDragon : BaseMount
	{
		[Constructable]
		public ScaledSwampDragon() : this( "a swamp dragon" )
		{
		}

		[Constructable]
		public ScaledSwampDragon( string name ) : base( name, 0x31F, 0x3EBE, AIType.AI_Predator, FightMode.Agressor, 10, 1, 0.2, 0.4 )
		{
			SetStr( 201, 300 );
			SetDex( 66, 85 );
			SetInt( 61, 100 );

			SetHits( 121, 180 );

			SetDamage( 3, 4 );

			SetSkill( SkillName.Anatomy, 45.1, 55.0 );
			SetSkill( SkillName.MagicResist, 45.1, 55.0 );
			SetSkill( SkillName.Tactics, 45.1, 55.0 );
			SetSkill( SkillName.Wrestling, 45.1, 55.0 );

			Fame = 2000;
			Karma = -2000;

			Tamable = true;
			ControlSlots = 1;
			MinTameSkill = 93.9;
			MaxTameSkill = 117.9;
		}

		public ScaledSwampDragon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}