using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a gibberling corpse" )]
	public class Gibberling : BaseCreature
	{
		[Constructable]
		public Gibberling() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a gibberling";
			Body = 307;
			BaseSoundID = 422;

			SetStr( 141, 165 );
			SetDex( 101, 125 );
			SetInt( 56, 80 );

			SetHits( 85, 99 );

			SetDamage( 12, 17 );

			SetSkill( SkillName.MagicResist, 45.1, 70.0 );
			SetSkill( SkillName.Tactics, 67.6, 92.5 );
			SetSkill( SkillName.Wrestling, 60.1, 80.0 );

			Fame = 1500;
			Karma = -1500;

			VirtualArmor = 27;

			PackGem();
			PackGold( 100, 350 );
		}

		public override int TreasureMapLevel{ get{ return 1; } }

		public Gibberling( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}