using System;
using Server;
using Server.Items;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "a ravager corpse" )]
	public class Ravager : BaseCreature
	{
		[Constructable]
		public Ravager() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a ravager";
			Body = 314;
			BaseSoundID = 357;

			SetStr( 251, 275 );
			SetDex( 101, 125 );
			SetInt( 66, 90 );

			SetHits( 161, 175 );

			SetDamage( 15, 20 );

			SetSkill( SkillName.MagicResist, 50.1, 75.0 );
			SetSkill( SkillName.Tactics, 75.1, 100.0 );
			SetSkill( SkillName.Wrestling, 70.1, 90.0 );

			Fame = 3500;
			Karma = -3500;

			VirtualArmor = 54;

			PackGem();
			PackGold( 200, 350 );
		}

		public override int TreasureMapLevel{ get{ return 1; } }

		public Ravager( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}