using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.GenerateRandomMagicItems;

namespace Server.Mobiles
{
	[CorpseName( "an orcish corpse" )]
	public class OrcCaptain : BaseCreature
	{
		[Constructable]
		public OrcCaptain() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Body = 7;
			Name = "an orc captain";
			BaseSoundID = 0x45A;

			SetStr( 121, 128 );
			SetDex( 106, 123 );
			SetInt( 98, 106 );

			SetSkill( SkillName.Wrestling, 10.0, 10.0 );
			SetSkill( SkillName.Tactics, 85.3, 97.7 );
			SetSkill( SkillName.MagicResist, 70.8, 77.8 );

			VirtualArmor = 34;

			SetFameLevel( 2 );
			SetKarmaLevel( 2 );

			PackGem();

			PackItem( new ThighBoots() );
			AddItem( new TwoHandedAxe() );
			PackItem( new RingmailChest() );
			PackItem( new OrcHelm() );
			PackGold( 50, 150 );
		}

		public override int Meat{ get{ return 1; } }

		public OrcCaptain( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}